update.formula {base} | R Documentation

## Model Updating

### Description

`update.formula` is used to update model formulae. This typically involves adding or dropping terms, but updates can be more general.

### Usage

    update.formula(old, new, ...)

### Arguments

`old` | a model formula to be updated.
`new` | a formula giving a template which specifies how to update.
`...` | further arguments passed to or from other methods.

### Details

The function works by first identifying the left-hand side and right-hand side of the `old` formula. It then examines the `new` formula and substitutes the lhs of the `old` formula for any occurence of "`.`" on the left of `new`, and substitutes the rhs of the `old` formula for any occurence of "`.`" on the right of `new`.

### Value

The updated formula is returned.

### See Also

`terms`, `model.matrix`.

### Examples

    update.formula(y ~ x,    ~ . + x2) #> y ~ x + x2
    update.formula(y ~ x, log(.) ~ . ) #> log(y) ~ x

[Package Contents]